tigase.auth.impl

## Class AuthRepoPlainCallbackHandler

- java.lang.Object
- - tigase.auth.impl.AuthRepoPlainCallbackHandler

- All Implemented Interfaces:
    CallbackHandler, AuthRepositoryAware, DomainAware

      public class AuthRepoPlainCallbackHandler
      extends Object
      implements CallbackHandler, AuthRepositoryAware, DomainAware

  This is implementation of CallbackHandler to use with old AuthRepositories. Callback VerifyPasswordCallback uses method AuthRepository.plainAuth(BareJID, String) to password verification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `domain`
    `protected tigase.xmpp.BareJID` | `jid`
    `protected Logger` | `log` Field description
    `protected AuthRepository` | `repo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthRepoPlainCallbackHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(Callback[] callbacks)` Method description
    `protected void` | `handleAuthorizeCallback(AuthorizeCallback authCallback)`
    `protected void` | `handleCallback(Callback callback)`
    `protected void` | `handleNameCallback(NameCallback nc)`
    `protected void` | `handleRealmCallback(RealmCallback rc)`
    `protected void` | `handleVerifyPasswordCallback(VerifyPasswordCallback pc)`
    `void` | `setAuthRepository(AuthRepository repo)` Method description
    `void` | `setDomain(String domain)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domain

          protected String domain

    - #### jid

          protected tigase.xmpp.BareJID jid

    - #### log

          protected Logger log

      Field description

    - #### repo

          protected AuthRepository repo

  - ### Constructor Detail

    - #### AuthRepoPlainCallbackHandler

          public AuthRepoPlainCallbackHandler()

  - ### Method Detail

    - #### handle

          public void handle(Callback[] callbacks)
                      throws IOException,
                             UnsupportedCallbackException

      Method description
      Specified by:
        `handle` in interface `CallbackHandler`
      Parameters:
        `callbacks` -
      Throws:
        `IOException`
        `UnsupportedCallbackException`

    - #### handleRealmCallback

          protected void handleRealmCallback(RealmCallback rc)
                                      throws IOException

      Throws:
        `IOException`

    - #### handleNameCallback

          protected void handleNameCallback(NameCallback nc)
                                     throws IOException

      Throws:
        `IOException`

    - #### handleVerifyPasswordCallback

          protected void handleVerifyPasswordCallback(VerifyPasswordCallback pc)
                                               throws IOException

      Throws:
        `IOException`

    - #### handleAuthorizeCallback

          protected void handleAuthorizeCallback(AuthorizeCallback authCallback)

    - #### handleCallback

          protected void handleCallback(Callback callback)
                                 throws UnsupportedCallbackException,
                                        IOException

      Throws:
        `UnsupportedCallbackException`
        `IOException`

    - #### setAuthRepository

          public void setAuthRepository(AuthRepository repo)

      Method description
      Specified by:
        `setAuthRepository` in interface `AuthRepositoryAware`
      Parameters:
        `repo` -

    - #### setDomain

          public void setDomain(String domain)

      Method description
      Specified by:
        `setDomain` in interface `DomainAware`
      Parameters:
        `domain` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.